.acv {
  max-width: 1180px;
  margin: auto;
}
.title {
  font-size: 24px;
}
.card-grid {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 50px 2vw;
  transform-style: preserve-3d;
  height: 100%;
  max-width: 1200px;
  margin: auto;
  padding: 50px;
  position: relative;
  grid-template-columns: 1fr 1fr 1fr;
}
@media (max-width: 639px) {
  .card-grid {
    grid-template-columns: 1fr;
  }
}
/*

  SHINE LAYERS

*/
:root {
  --card-aspect: 0.718;
  --card-radius: 4.55% / 3.5%;
  --card-edge: hsl(47, 100%, 78%);
  --card-back: hsl(205, 100%, 25%);
  --card-glow: hsl(175, 100%, 90%);
  --sunpillar-1: hsl(2, 100%, 73%);
  --sunpillar-2: hsl(53, 100%, 69%);
  --sunpillar-3: hsl(93, 100%, 69%);
  --sunpillar-4: hsl(176, 100%, 76%);
  --sunpillar-5: hsl(228, 100%, 74%);
  --sunpillar-6: hsl(283, 100%, 73%);
  --sunpillar-clr-1: var(--sunpillar-1);
  --sunpillar-clr-2: var(--sunpillar-2);
  --sunpillar-clr-3: var(--sunpillar-3);
  --sunpillar-clr-4: var(--sunpillar-4);
  --sunpillar-clr-5: var(--sunpillar-5);
  --sunpillar-clr-6: var(--sunpillar-6);
}
.card {
  /* place the card on a new transform layer and
  make sure it has hardward acceleration... we gun'need that! */
  -webkit-transform: translate3d(0px, 0px, 0.01px);
  transform: translate3d(0px, 0px, 0.01px);
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  pointer-events: none;
  /* make sure the card is above others if it's scaled up */
  z-index: calc(var(--card-scale) * 2);
  /* every little helps! */
  will-change: transform, visibility, z-index;
  --rotate-x: 0deg;
}
.card, .card * {
  /* outline is a little trick to anti-alias */
  outline: 1px solid transparent;
}
.card:not(.interactive) .card__translater, .card:not(.interactive) .card__rotator, .card:not(.interactive) .card__shine, .card:not(.interactive) .card__glare {
  /* if this card is not in a framework, we can add simply
    hover effects when it's not "interactive" */
  transition: all 0.4s ease-in-out;
}
.card:hover {
  --card-opacity: 1;
  --translate-x: 3px;
  --translate-y: -7px;
  --rotate-x: 4deg;
  --rotate-y: -6deg;
}
.card.active {
  --pointer-x: 45%;
  --pointer-y: 10%;
  --card-scale: 1.45;
  --card-opacity: 1;
  --translate-x: 0px;
  --translate-y: -10px;
  --rotate-x: 366deg;
  --rotate-y: -8deg;
  --background-x: 44%;
  --background-y: 36%;
  --pointer-from-center: 0.9;
  --pointer-from-top: 0.11;
  --pointer-from-left: 0.25;
}
@keyframes flipping-effect {
  0% {
    --rotate-x: 366deg;
  }
  50% {
    --rotate-x: 356deg;
  }
  100% {
    --rotate-x: 366deg;
  }
}
.card.water {
  --card-glow: hsl(192, 97%, 60%);
}
.card.fire {
  --card-glow: hsl(9, 81%, 59%);
}
.card.grass {
  --card-glow: hsl(96, 81%, 65%);
}
.card.lightning {
  --card-glow: hsl(54, 87%, 63%);
}
.card.psychic {
  --card-glow: hsl(281, 62%, 58%);
}
.card.fighting {
  --card-glow: rgb(145, 90, 39);
}
.card.darkness {
  --card-glow: hsl(189, 77%, 27%);
}
.card.metal {
  --card-glow: hsl(184, 20%, 70%);
}
.card.dragon {
  --card-glow: hsl(51, 60%, 35%);
}
.card.fairy {
  --card-glow: hsl(323, 100%, 89%);
}
.card, .card__rotator {
  aspect-ratio: var(--card-aspect);
  border-radius: var(--card-radius);
}
.card.interacting {
  z-index: calc(var(--card-scale) * 120);
}
.card.active .card__translater, .card.active .card__rotator {
  /* prevent pinch/double-tap zooms on card */
  touch-action: none;
}
.card__translater, .card__rotator {
  display: grid;
  perspective: 600px;
  will-change: transform, box-shadow;
  transform-origin: center;
  -webkit-transform-origin: center;
}
.card__translater {
  width: auto;
  position: relative;
  -webkit-transform: translate3d(var(--translate-x), var(--translate-y), 0.1px) scale(var(--card-scale));
  transform: translate3d(var(--translate-x), var(--translate-y), 0.1px) scale(var(--card-scale));
}
.card__rotator {
  -webkit-transform: rotateY(var(--rotate-x)) rotateX(var(--rotate-y));
  -webkit-transform-style: preserve-3d;
  transform: rotateY(var(--rotate-x)) rotateX(var(--rotate-y));
  transform-style: preserve-3d;
  /* performance */
  pointer-events: auto;
  /* overflow: hidden; <-- this improves perf on mobile, but breaks backface visibility. */
  /* isolation: isolate; <-- this improves perf, but breaks backface visibility on Chrome. */
}
button.card__rotator {
  /* because the card is a button, there's some default
    browser styles which need to be subdued */
  border: none;
  background: transparent;
  padding: 0;
  -webkit-appearance: none;
  appearance: none;
}
.card__rotator * {
  width: 100%;
  display: grid;
  grid-area: 1;
  aspect-ratio: var(--card-aspect);
  border-radius: var(--card-radius);
  image-rendering: optimizeQuality;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  pointer-events: none;
  overflow: hidden;
}
.card__rotator img {
  height: auto;
  -webkit-transform: translate3d(0px, 0px, 0.01px);
  transform: translate3d(0px, 0px, 0.01px);
}
.card__back {
  background-color: var(--card-back);
  -webkit-transform: rotateY(180deg) translateZ(1px);
  transform: rotateY(180deg) translateZ(1px);
  backface-visibility: visible;
}
.card__front, .card__front * {
  backface-visibility: hidden;
}
.card__front {
  opacity: 1;
  transition: opacity 0.33s ease-out;
  -webkit-transform: translate3d(0px, 0px, 0.01px);
  transform: translate3d(0px, 0px, 0.01px);
}
.loading .card__front {
  opacity: 0;
}
.loading .card__back {
  -webkit-transform: rotateY(0deg);
  transform: rotateY(0deg);
}
/**
  
Shine & Glare Effects

**/
.card__shine {
  display: grid;
  transform: translateZ(1px);
  overflow: hidden;
  z-index: 3;
  background: transparent;
  background-size: cover;
  background-position: center;
  filter: brightness(0.85) contrast(2.75) saturate(0.65);
  mix-blend-mode: color-dodge;
  opacity: var(--card-opacity);
}
.card__shine:before, .card__shine:after {
  --sunpillar-clr-1: var(--sunpillar-5);
  --sunpillar-clr-2: var(--sunpillar-6);
  --sunpillar-clr-3: var(--sunpillar-1);
  --sunpillar-clr-4: var(--sunpillar-2);
  --sunpillar-clr-5: var(--sunpillar-3);
  --sunpillar-clr-6: var(--sunpillar-4);
  grid-area: 1;
  transform: translateZ(1px);
  border-radius: var(--card-radius);
}
.card__shine:after {
  --sunpillar-clr-1: var(--sunpillar-6);
  --sunpillar-clr-2: var(--sunpillar-1);
  --sunpillar-clr-3: var(--sunpillar-2);
  --sunpillar-clr-4: var(--sunpillar-3);
  --sunpillar-clr-5: var(--sunpillar-4);
  --sunpillar-clr-6: var(--sunpillar-5);
  transform: translateZ(1.2px);
}
.card__glare {
  /* make sure the glare doesn't clip */
  transform: translateZ(1.41px);
  overflow: hidden;
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), rgba(255, 255, 255, 0.8) 10%, rgba(255, 255, 255, 0.65) 20%, rgba(0, 0, 0, 0.5) 90%);
  opacity: var(--card-opacity);
  mix-blend-mode: overlay;
}
/**

  Masking Effects

**/
.card.masked .card__shine, .card.masked .card__shine:before, .card.masked .card__shine:after {
  /** masking image for cards which are masked **/
  -webkit-mask-image: var(--mask);
  mask-image: var(--mask);
  -webkit-mask-size: cover;
  mask-size: cover;
  -webkit-mask-position: center center;
  mask-position: center center;
}
.card[data-rarity="rare holo"] .card__glare:after, .card[data-rarity="rare holo cosmos"] .card__glare:after, .card[data-rarity$="reverse holo"] .card__glare:after {
  clip-path: var(--clip);
}
.card[data-rarity="rare holo"][data-subtypes^="stage"] .card__glare:after, .card[data-rarity="rare holo cosmos"][data-subtypes^="stage"] .card__glare:after, .card[data-rarity$="reverse holo"][data-subtypes^="stage"] .card__glare:after {
  clip-path: var(--clip-stage);
}
.card[data-rarity="rare holo"][data-supertype="trainer"] .card__glare:after, .card[data-rarity="rare holo cosmos"][data-supertype="trainer"] .card__glare:after, .card[data-rarity$="reverse holo"][data-supertype="trainer"] .card__glare:after {
  clip-path: var(--clip-trainer);
}
/*

  SHINE LAYERS

*/
.card[data-rarity="amazing rare"] .card__shine {
  background-image: var(--glitter), var(--glitter), radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), #141f1a 10%, rgba(193, 215, 214, 0.1) 50%, rgba(242, 242, 242, 0.98) 90%);
  background-size: var(--glittersize) var(--glittersize), var(--glittersize) var(--glittersize), cover;
  background-position: 40% 45%, 55% 55%, center center;
  background-blend-mode: soft-light, color-burn;
  filter: brightness(1) contrast(1) saturate(0.9);
}
.card[data-rarity="amazing rare"] .card__shine:before {
  content: "";
  -webkit-mask-image: none !important;
  mask-image: none !important;
  background-image: var(--foil), radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), rgba(235, 233, 224, 0.95) 10%, rgba(181, 139, 164, 0.5) 50%, black 60%);
  background-size: cover, cover;
  background-position: center center, center center;
  background-blend-mode: color-burn;
  mix-blend-mode: lighten;
  filter: brightness(1) contrast(1) saturate(1);
  opacity: 0.5;
}
.card[data-rarity="amazing rare"] .card__shine:after {
  content: "";
  -webkit-mask-image: none !important;
  mask-image: none !important;
  background-image: repeating-linear-gradient(calc(var(--angle)), var(--sunpillar-clr-1) calc(var(--space) * 1), var(--sunpillar-clr-2) calc(var(--space) * 2), var(--sunpillar-clr-3) calc(var(--space) * 3), var(--sunpillar-clr-4) calc(var(--space) * 4), var(--sunpillar-clr-5) calc(var(--space) * 5), var(--sunpillar-clr-6) calc(var(--space) * 6), var(--sunpillar-clr-1) calc(var(--space) * 7));
  background-size: 400% 800%;
  background-position: calc(50% + (50% - (var(--background-x))) * 3) calc(50% + (50% - (var(--background-y))) * 3);
  filter: brightness(calc(0.75 - (var(--pointer-from-center) * 0.5))) contrast(1) saturate(1);
  mix-blend-mode: saturation;
}
/*

  GLARE LAYERS

*/
.card.masked[data-rarity="amazing rare"] .card__glare {
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), rgba(235, 233, 224, 0.45) 0%, rgba(61, 92, 77, 0.45) 45%, rgba(0, 0, 0, 0.9) 120%);
  filter: brightness(0.9) contrast(2);
}
.card.masked[data-rarity="amazing rare"] .card__glare:after {
  content: "";
  -webkit-mask-image: var(--mask);
  mask-image: var(--mask);
  -webkit-mask-size: cover;
  mask-size: cover;
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), rgba(235, 233, 224, 0.75) 0%, rgba(61, 92, 77, 0.65) 45%, black 90%);
  filter: brightness(1) contrast(1.5);
  mix-blend-mode: overlay;
  opacity: 1;
}
/*

  NO MASK

*/
.card:not(.masked)[data-rarity="amazing rare"] .card__shine {
  clip-path: var(--clip);
}
.card:not(.masked)[data-rarity="amazing rare"] .card__glare {
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), white 10%, rgba(255, 255, 255, 0.85) 20%, rgba(0, 0, 0, 0.35) 90%);
  mix-blend-mode: multiply;
}
/*

  SHINE LAYERS

*/
.card {
  --foil-brightness: 0.55;
}
.card[data-rarity$="reverse holo"] .card__shine {
  background-image: radial-gradient(circle at var(--pointer-x) var(--pointer-y), #fff 5%, #000 50%, #fff 80%), linear-gradient(-45deg, #000 15%, #fff, #000 85%), var(--foil);
  background-blend-mode: soft-light, difference;
  background-size: 120% 120%, 200% 200%, cover;
  background-position: center center, calc((100% * var(--pointer-from-left))) calc((100% * var(--pointer-from-top))), center center;
  filter: brightness(var(--foil-brightness)) contrast(1.5) saturate(1);
  mix-blend-mode: color-dodge;
  opacity: calc((1.5 * var(--card-opacity)) - var(--pointer-from-center));
}
.card.lightning {
  --foil-brightness: 0.7;
}
.card.darkness {
  --foil-brightness: 0.8;
}
.card.metal {
  --foil-brightness: 0.6;
}
/*

  GLARE LAYERS

*/
.card[data-rarity$="reverse holo"] .card__glare {
  opacity: var(--card-opacity);
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), rgba(255, 255, 255, 0.8) 10%, rgba(255, 255, 255, 0.5) 20%, rgba(0, 0, 0, 0.75) 90%);
  filter: brightness(0.7) contrast(1.5);
}
.card[data-rarity$="reverse holo"] .card__glare:after {
  content: "";
  opacity: var(--card-opacity);
  background-image: radial-gradient(farthest-corner circle at var(--pointer-x) var(--pointer-y), white 10%, rgba(255, 255, 255, 0.5) 20%, rgba(0, 0, 0, 0.5) 120%);
  filter: brightness(1) contrast(1.5);
}
/*

  NO MASK

*/
.card:not(.masked)[data-rarity$="reverse holo"] .card__shine {
  --foil: none;
  clip-path: var(--clip-invert);
}
.card:not(.masked)[data-rarity$="reverse holo"][data-subtypes^="stage"] .card__glare:after {
  clip-path: var(--clip-stage-invert);
}
.card:not(.masked)[data-rarity$="reverse holo"][data-supertype="trainer"] .card__glare:after {
  clip-path: var(--clip-trainer-invert);
}
.card-grid.svelte-jmfqas {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 50px 2vw;
  transform-style: preserve-3d;
  height: 100%;
  max-width: 1200px;
  margin: auto;
  padding: 50px;
  position: relative;
}
.card-grid.active.svelte-jmfqas {
  z-index: 99;
}
@media screen and (min-width: 900px) {
  .card-grid.svelte-jmfqas {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
@media screen and (max-width: 900px) {
  .card-grid > .card {
    --row: 1;
    grid-column: 1;
    grid-row: var(--row);
    transition: opacity 0.2s ease, transform 0.2s ease;
  }
  .card-grid > .card:nth-child(1n) {
    position: relative;
    left: -50px;
    top: 10px;
    z-index: calc(var(--card-scale) * 10 + 50);
    transform: translateZ(0.1px) rotate(-5deg);
    opacity: 1;
  }
  .card-grid > .card:nth-child(2n) {
    left: 0px;
    top: -10px;
    z-index: calc(var(--card-scale) * 10 + 49);
    transform: translateZ(0.1px) rotate(0);
    opacity: 0.99;
  }
  .card-grid > .card:nth-child(3n) {
    left: 50px;
    top: 0px;
    z-index: calc(var(--card-scale) * 10 + 48);
    transform: translateZ(0.1px) rotate(5deg);
    opacity: 0.99;
  }
  .card-grid > .card.interacting, .card-grid > .card.active {
    opacity: 1;
  }
  .card-grid > .card:nth-child(n + 4):nth-child(-n + 6) {
    grid-row: 2;
  }
  .card-grid > .card:nth-child(n + 7):nth-child(-n + 9) {
    grid-row: 3;
  }
  .card-grid > .card:nth-child(n + 10):nth-child(-n + 12) {
    grid-row: 4;
  }
  .card-grid > .card:nth-child(n + 13):nth-child(-n + 15) {
    grid-row: 5;
  }
  .card-grid > .card:nth-child(n + 16):nth-child(-n + 18) {
    grid-row: 6;
  }
  .card-grid > .card:nth-child(n + 19) {
    grid-row: auto;
    grid-column: auto;
    transform: none !important;
    left: 0 !important;
    top: 0 !important;
  }
}
@media screen and (min-width: 600px) and (max-width: 900px) {
  .card-grid.svelte-jmfqas {
    max-width: 420px;
    margin: auto;
  }
  .card-grid > .card:nth-child(1n) {
    left: -100px;
    top: 10px;
    transform: translateZ(0.1px) rotate(-5deg);
  }
  .card-grid > .card:nth-child(2n) {
    left: 0px;
    top: -10px;
    transform: translateZ(0.1px) rotate(0);
  }
  .card-grid > .card:nth-child(3n) {
    left: 100px;
    top: 0px;
    transform: translateZ(0.1px) rotate(5deg);
  }
}
.card-grid > .card.active {
  transform: translateZ(0.1px) !important;
}
:root {
  --pointer-x: 50%;
  --pointer-y: 50%;
  --card-scale: 1;
  --card-opacity: 0;
  --translate-x: 0px;
  --translate-y: 0px;
  --rotate-x: 0deg;
  --rotate-y: 0deg;
  --background-x: var(--pointer-x);
  --background-y: var(--pointer-y);
  --pointer-from-center: 0;
  --pointer-from-top: var(--pointer-from-center);
  --pointer-from-left: var(--pointer-from-center);
}
.search-area.svelte-1leehxl.svelte-1leehxl {
  font-size: 18px;
  display: grid;
  place-items: center start;
  max-width: 500px;
  margin: 120px 0 10px;
  padding: 5px;
  position: sticky;
  top: 10px;
  border-radius: 0.66em;
  backdrop-filter: blur(5px);
  z-index: 999;
}
@media screen and (min-width: 900px) {
  .search-area.svelte-1leehxl.svelte-1leehxl {
    margin: 120px 50px 0;
    font-size: 22px;
  }
  h3.svelte-1leehxl.svelte-1leehxl {
    margin-inline: 60px;
  }
}
input.svelte-1leehxl.svelte-1leehxl {
  font-family: Roboto;
  font-size: inherit;
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 0.5em;
  padding: 0.5em 2em 0.5em 0.75em;
  margin: 0;
  background: rgba(40, 42, 46, 0.66);
  color: #fff;
  outline: none;
  transition: all 0.5s ease;
  box-shadow: 0 5px 20px #2f3237bf, 0 5px 10px #2f3237bf;
  grid-row: 1;
  grid-column: 1;
  width: 100%;
}
input.svelte-1leehxl.svelte-1leehxl:active, input.svelte-1leehxl.svelte-1leehxl:focus, input.svelte-1leehxl.svelte-1leehxl:hover {
  background: rgba(40, 42, 46, 0.88);
}
input.svelte-1leehxl.svelte-1leehxl:active, input.svelte-1leehxl.svelte-1leehxl:focus {
  border: 1px solid var(--primary);
}
.icon-tabler-search.svelte-1leehxl.svelte-1leehxl {
  grid-row: 1;
  grid-column: 1;
  place-self: center end;
  margin-right: 10px;
  opacity: 0.5;
  transition: all 0.5s ease;
}
input.svelte-1leehxl:active + .icon.svelte-1leehxl, input.svelte-1leehxl:focus + .icon.svelte-1leehxl, input.svelte-1leehxl:hover + .icon.svelte-1leehxl {
  opacity: 0.2;
}
h3.svelte-1leehxl.svelte-1leehxl {
  font-family: Roboto;
  font-size: inherit;
  font-weight: 400;
  margin-block: 10px;
}
.back-to-top.svelte-71964w a.svelte-71964w {
  color: inherit;
  text-decoration: none;
  z-index: 999;
}
